#!/usr/bin/env python3

import requests
import re
# import os
import socket

CADDYFILE_PATH = "/opt/docker/caddy/conf/Caddyfile"  # Pfad zur Caddyfile
DASHBOARD_URL = "http://10.0.0.25:5000/update"  # Anpassen!
SERVER_NAME = socket.gethostname()

def parse_caddyfile():
    entries = {}
    try:
        with open(CADDYFILE_PATH, "r") as file:
            content = file.read()
        
        pattern = re.compile(r"(?P<domains>[^\s{]+(?:,\s*[^\s{]+)*)\s*{.*?reverse_proxy\s+(?P<target>https?:\/\/[\d\.]+:\d+|[\d\.]+:\d+).*?}", re.DOTALL)
        matches = pattern.findall(content)

        for domains, target in matches:
            for domain in domains.split(", "):
                entries[domain] = target.strip()
    except Exception as e:
        print(f"Fehler beim Lesen der Caddyfile: {e}")
    return entries

def send_update():
    data = {"server": SERVER_NAME, "entries": parse_caddyfile()}
    try:
        response = requests.post(DASHBOARD_URL, json=data)
        print(response.json())
    except Exception as e:
        print(f"Fehler beim Senden: {e}")

if __name__ == "__main__":
    send_update()
